<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = 'index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];      //   modificado  01/12/09   mcc
$id_user = $_SESSION['ss_user'];
$cnt=$_POST["cnt"]; 
include("../conex.php");
$id_dcto = 3;                                //nota venta
$num_dcto = $txtndcto;
$hora = date('H:i:s');
$id_sucursal = $lstcliente;
$sql_bc = "SELECT rut, id_zona FROM sucursales WHERE id = $id_sucursal";
	$res_bc = mysql_query($sql_bc,$enlace);
		$rut = mysql_result($res_bc, 0, "rut");
		$id_zona=mysql_result($res_bc, 0, "id_zona");

$sql_dcto = "SELECT * FROM salida WHERE empresa=$id_empresa AND tipo_dcto = $id_dcto AND num_dcto = $num_dcto";
$cons_dcto = mysql_query($sql_dcto,$enlace);
$cont=0;
while ( mysql_fetch_object ($cons_dcto) ) 
	{
	$cont+=1;
	}
	
if ($cont==0)   	//******** verifica existencia de numero de dcto  *** REVISAR  Puede asignarse otro numero*******/		
	{                         
	/********************** verifica cliente *********************************************/		
	$sql_be = "SELECT * FROM nombres WHERE rut='$rut'";
	$res_be = mysql_query($sql_be,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_be))
		{
		$bloqueada = mysql_result($res_be, $row, "bloqueada");
		$row+=1;
		}
	if ($bloqueada=='False')
	
	{
	
		$up_dcto = "UPDATE tipo_dcto_num_bodega SET correlativo = '$num_dcto' WHERE id_dcto = '$id_dcto' AND id_bodega='$id_bodega' AND id_empresa = $id_empresa";
	$res_up_dcto = mysql_query($up_dcto,$enlace);		
	
	/****************   sacar valor de iva ***********************************************/	
	$sql_par = "SELECT valor FROM parametros WHERE descripcion = 'IVA'";
	$res_par = mysql_query($sql_par,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_par))
		{
		$par_iva=mysql_result($res_par, $row, "valor");
		$row=$row+1;
		}
	

	//********** insertar salida ***************************/
	$dia = substr ($fecha, 0, 2);
	$mes = substr ($fecha, 3, 2);
	$aņo = substr ($fecha, 6, 4); 
	$fecha_em = "$aņo-$mes-$dia";	
	$dia = substr ($fecha2, 0, 2);
	$mes = substr ($fecha2, 3, 2);
	$aņo = substr ($fecha2, 6, 4); 
	$fecha_ve = "$aņo-$mes-$dia";
	
   // **********  calcular valores de productos **************
   $cant =0;
   $txtst=0;
while ($cant<$cnt)
  {
	if (  $cantidad[$cant]!='')
	{
	$txtst+=$cantidad[$cant]*$precio[$cant];
	}
	$cant=$cant+1;
   }
	
	// **********  calcular valores de totales **************
	
	$sql_neto=$txtst;
	
	if (($sql_neto-(int)$sql_neto)>=.45) 
	{$sql_neto=(int)$sql_neto+1;
	}
	else
	{$sql_neto=(int)$sql_neto;
	}
	
	$sql_iva=$sql_neto*$par_iva;
	if (($sql_iva-(int)$sql_iva)>.5) 
	{$sql_iva=(int)$sql_iva+1;
	}
	else
	{$sql_iva=(int)$sql_iva;
	}
	
	$sql_total=$sql_neto+$sql_iva;
	
	$wsql = "INSERT INTO salida (empresa, rut_cliente, num_dcto, tipo_dcto, fecha_emision, fecha_vencimiento, neto, iva, total, productos, usuario, bodega, vendedor, zona, id_sucursal, hora) 
	VALUES ($id_empresa, '$rut', $num_dcto, $id_dcto, '$fecha_em', '$fecha_ve', $sql_neto, $sql_iva, $sql_total, 1, $id_user, $id_bodega, $id_vendedor, $id_zona, $id_sucursal, '$hora')";

	$consulta = mysql_query($wsql,$enlace);
	
	//++++++++++++++++++++++++++++ Sacar el ultimo
	$sql_ultimo = "SELECT id FROM salida WHERE id=last_insert_id()";
	$res_ultimo =  mysql_query($sql_ultimo, $enlace);		
	$sultimo_id = mysql_result($res_ultimo, 0, "id");
	
	
?>



<table width="90%" align="center" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td width="25%"><div align="center"><img src="../Images/logo.gif" width="60px" height="60px"></div></td>
	<td width="50%"><div align="center"><strong><font size="4">NOTA DE VENTA </font><font size="4"><?=$num_dcto?></font></strong></div></td>
    <td width="25%">&nbsp;</td>
  </tr>
</table>


<? 
$cant =0;
while ($cant<$cnt)
  {
	if (  $cantidad[$cant]!='')
	{
	$desporprod[$cant]=0;
	
		$psql = "INSERT INTO movimiento (empresa, rut, entrada_salida_traspaso, fecha, cod_producto, cantidad, precio_unitario, numero_dcto, tipo_dcto, descuentos, bodega, id_soe) 
		VALUES ($id_empresa, '$rut', 'S', '$fecha_em', $codigo[$cant], $cantidad[$cant], $precio[$cant], $num_dcto, $id_dcto, $desporprod[$cant], $id_bodega, $sultimo_id)";
		$sql_productos = mysql_query($psql,$enlace);
		
		
		//  bajar saldos de productos ????
	
			$sql_sal = "UPDATE productos SET saldo=(saldo-$cantidad[$cant]), u_salida=(u_salida+$cantidad[$cant]) WHERE empresa=$id_empresa AND codigo = $codigo[$cant]";
			mysql_query($sql_sal,$enlace);
	}		
	$cant=$cant+1;
   }
	?>

	<script>
	alert("Venta guardada con exito");
	parent.location.href = 'index.php';
</script>
<?
	}
	
else
   {
	?>
<script>
	alert ("Cliente Bloqueado");
	parent.location.href = 'index.php';
</script>
	<?
	}
	
	}
else
	{
	?>
<script>
	alert ("El Documento ingresado ya existe");
	parent.location.href = 'index.php';
</script>
	<?
	}
?>